E-MailRelay

Classes | Namespaces
gpopstore.h File Reference
`#include "gdef.h"`
`#include "gpath.h"`
`#include "gexception.h"`
`#include <string>`
`#include <memory>`
`#include <iostream>`
`#include <set>`
`#include <vector>`
Include dependency graph for gpopstore.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GPop::Store
| A message store. More...
struct | GPop::Store::Config
| Configuration structure for GPop::Store. More...
class | GPop::StoreMessage
| A structure representing a pop message. More...
class | GPop::StoreUser
| Holds the list of messages available to a particular pop user. More...
class | GPop::StoreList
| Represents the protocol's view of the pop store having 1-based message ids. More...

## Namespaces
namespace | GPop
| POP3 classes.